## nautilus 49.1

=== debian/changelog ===
nautilus (49.1-2) unstable; urgency=medium

  * Team upload
  * d/p/file-utilities-Match-home-directory-with-existing-functio.patch:
    Add patch from upstream fixing performance regression with GLib 2.86.1
    when XDG_TEMPLATES_DIR in ~/.config/user-dirs.dirs was disabled by
    setting it to "$HOME/" (Closes: #1118444, #1118564)

 -- Simon McVittie <smcv@debian.org>  Mon, 27 Oct 2025 10:02:04 +0000

nautilus (49.1-1) unstable; urgency=medium

  * New upstream release
  * Revert build test timeout change: no longer needed and didn't work

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 15 Oct 2025 08:19:59 -0400

=== debian/control ===
Source: nautilus
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               appstream <!nocheck>,
               dbus <!nocheck>,
               desktop-file-utils,
               gi-docgen,
               gir1.2-gio-2.0-dev,
               gobject-introspection (>= 1.80),
               libadwaita-1-dev (>= 1.6~beta),
               libcloudproviders-dev (>= 0.3.1),
               libfontconfig-dev,
               libgexiv2-dev (>= 0.14.2),
               libglib2.0-dev (>= 2.84.0),
               libglib2.0-doc,
               libgnome-autoar-0-dev (>= 0.4.4),
               libgnome-desktop-4-dev (>= 43~),
               libgstreamer-plugins-base1.0-dev,
               libgtk-4-dev (>= 4.17.5),
               libgtk-4-doc,
               libpango1.0-dev (>= 1.42),
               libportal-gtk4-dev (>= 0.7),
               libselinux1-dev (>= 2.0) [linux-any],
               libtinysparql-dev,
               libtracker-sparql-3.0-dev,
               localsearch <!nocheck>,
               meson (>= 0.59.0),
               shared-mime-info (>= 0.50),
               tracker-test-utils (>= 3) <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>
Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
Standards-Version: 4.7.2

Package: nautilus
Architecture: any
Depends: bubblewrap [linux-any],
         desktop-file-utils (>= 0.7),
         eject,
         gsettings-desktop-schemas (>= 3.8.0),
         gvfs (>= 1.3.2),
         gvfs-backends,
         libglib2.0-data,
         libnautilus-extension4 (= ${binary:Version}),
         nautilus-data (= ${source:Version}),
         shared-mime-info (>= 0.50),
         localsearch,
         xdg-user-dirs-gtk,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-sushi, libgdk-pixbuf2.0-bin, librsvg2-common
Breaks: eiciel (<< 0.9.13.1-1.1~),
        folder-color (<< 0.0.86-0ubuntu5~),
        nautilus-dropbox (<< 2019.02.14-1ubuntu2~),
        nautilus-extension-brasero (<< 3.12.3-2),
        nautilus-extension-burner (<< 3.0.10-1.2),
        nautilus-extension-gnome-console (<< 43),
        nautilus-filename-repairer (<< 0.2.0-3.1~),
        nautilus-font-manager (<< 0.8.8-2),
        nautilus-gtkhash (<< 1.4+git20220617-2.1~),
        nautilus-ideviceinfo (<< 0.1.0-0ubuntu15~),
        nautilus-image-converter (<< 0.3.1~git20110416-2.1~),
        nautilus-share (<< 0.7.3-2ubuntu7~),
        nautilus-wipe (<< 0.3.1-2.1~),
        seahorse-nautilus (<< 3.11.92-4.1~)
Description: file manager and graphical shell for GNOME
 Nautilus is the official file manager for the GNOME desktop. It allows
 one to browse directories, preview files and launch applications
 associated with them. It is also responsible for handling the icons on
 the GNOME desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.

Package: gir1.2-nautilus-4.1
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: libraries for nautilus components - gir bindings
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libnautilus-extension-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libglib2.0-dev (>= 2.84.0),
         libnautilus-extension4 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: ${gir:Provides}
Description: libraries for nautilus components - development version
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package provides the necessary development libraries and include
 files to develop and compile Nautilus extensions.

Package: libnautilus-extension4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for nautilus components - runtime version
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package contains a few runtime libraries needed by nautilus' extensions.

Package: nautilus-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: data files for nautilus
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package contains pictures, localization files and other data
 needed by nautilus.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
ENABLE_TESTS := -Dtests=all
else
ENABLE_TESTS := -Dtests=none
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
ENABLE_SELINUX := -Dselinux=true
else
ENABLE_SELINUX := -Dselinux=false
endif

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes), yes)
# Not in main repository
ENABLE_CLOUD += -Dcloudproviders=false
else
ENABLE_CLOUD += -Dcloudproviders=true
endif

# test-files-view needs to write to dconf
export HOME=$(CURDIR)/debian/build

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddocs=true \
		-Dpackagekit=true \
		$(ENABLE_TESTS) \
		$(ENABLE_CLOUD) \
		$(ENABLE_SELINUX)

override_dh_auto_test:
	touch $(CURDIR)/debian/.debhelper/generated/_source/home/.gtk-bookmarks
	GTK_A11Y=none dbus-run-session -- xvfb-run --auto-servernum dh_auto_test

override_dh_gnome:

override_dh_gnome_clean:

execute_after_dh_clean:
	rm -rf $(CURDIR)/debian/build

## nautilus 49.2

=== debian/changelog ===
nautilus (49.2-2) unstable; urgency=medium

  * Remove direct Build-Depends: dbus (Closes: #1122682)
  * Add Build-Depends: libxml2-utils for xmllint
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Dec 2025 20:37:54 -0500

nautilus (49.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Remove direct Depends: bubblewrap (Closes: #1064259)
  * Remove home patch: applied in new release

  [ Alessandro Astone ]
  * debian/control: Add build dependency on libicu
  * debian/control: Bump tracker-sparql-3.0 minimum version

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Nov 2025 19:52:36 -0500

=== debian/rules ===
--- 
+++ 
@@ -41,9 +41,8 @@
 	touch $(CURDIR)/debian/.debhelper/generated/_source/home/.gtk-bookmarks
 	GTK_A11Y=none dbus-run-session -- xvfb-run --auto-servernum dh_auto_test
 
+# Skip. We only use dh_gnome for dh_translations for Ubuntu
 override_dh_gnome:
-
-override_dh_gnome_clean:
 
 execute_after_dh_clean:
 	rm -rf $(CURDIR)/debian/build

## nautilus 49.3

=== debian/changelog ===
nautilus (49.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Jan 2026 12:05:25 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: nautilus
 Section: gnome
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                appstream <!nocheck>,
-               dbus <!nocheck>,
                desktop-file-utils,
                gi-docgen,
                gir1.2-gio-2.0-dev,
@@ -23,11 +21,13 @@
                libgstreamer-plugins-base1.0-dev,
                libgtk-4-dev (>= 4.17.5),
                libgtk-4-doc,
+               libicu-dev (>= 56),
                libpango1.0-dev (>= 1.42),
                libportal-gtk4-dev (>= 0.7),
                libselinux1-dev (>= 2.0) [linux-any],
                libtinysparql-dev,
-               libtracker-sparql-3.0-dev,
+               libtracker-sparql-3.0-dev (>= 3.2),
+               libxml2-utils,
                localsearch <!nocheck>,
                meson (>= 0.59.0),
                shared-mime-info (>= 0.50),
@@ -37,12 +37,11 @@
 Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
 Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
 Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 
 Package: nautilus
 Architecture: any
-Depends: bubblewrap [linux-any],
-         desktop-file-utils (>= 0.7),
+Depends: desktop-file-utils (>= 0.7),
          eject,
          gsettings-desktop-schemas (>= 3.8.0),
          gvfs (>= 1.3.2),
@@ -83,7 +82,7 @@
 Architecture: any
 Multi-Arch: same
 Section: introspection
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: libraries for nautilus components - gir bindings
  Nautilus is the official file manager and graphical shell for the
  GNOME desktop.
@@ -98,8 +97,7 @@
 Depends: libglib2.0-dev (>= 2.84.0),
          libnautilus-extension4 (= ${binary:Version}),
          ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Provides: ${gir:Provides}
 Description: libraries for nautilus components - development version
  Nautilus is the official file manager and graphical shell for the

## nautilus 50~alpha

=== debian/changelog ===
nautilus (1:50~alpha-0ubuntu2) resolute; urgency=medium

  * Merge debian changes from 49.3-1. Remaining changes:
    - New upstream release 50.alpha
    - debian/control:
      + Update dependencies for 50~alpha
      + Add Build-Depends: libunity-dev
      + Add Recommends: xdg-desktop-portal-gnome:
        Required for "Set as Background" feature
      + Suggest instead of Recommend gnome-sushi
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
      + Do not request PackageKit support, no longer does anything
    - debian/watch:
      + Track alpha releases
    - Add appstream-compulsory.patch:
      - Mark Nautilus as required for GNOME (affects the GNOME Software app)
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - nautilus-sendto.patch:
      + Restore nautilus-sendto integration for better Thunderbird integration
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - fallback-to-gexiv-0.14.2.patch:
      + 0.16.0 is not in Debian yet due to requiring a
        transition. Seems like reverting to 0.14.2 is pretty easy and
        causes no obvious behaviour changes, so do that until the
        transition is complete.
    - use-portable-format-macro.patch:
      + Fixes build failure on armhf

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 13 Jan 2026 12:10:52 +0100

nautilus (1:50~alpha-0ubuntu1) resolute; urgency=medium
  * Ubuntu Delta:
    - debian/control:
      + Add Build-Depends: libunity-dev
      + Add Recommends: xdg-desktop-portal-gnome:
        Required for "Set as Background" feature
      + Suggest instead of Recommend gnome-sushi
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
      + Do not request PackageKit support, no longer does anything
    - debian/watch:
      + Track alpha releases
    - Add appstream-compulsory.patch:
      - Mark Nautilus as required for GNOME (affects the GNOME Software app)
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - nautilus-sendto.patch:
      + Restore nautilus-sendto integration for better Thunderbird integration
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - fallback-to-gexiv-0.14.2.patch:
      + 0.16.0 is not in Debian yet due to requiring a
        transition. Seems like reverting to 0.14.2 is pretty easy and
        causes no obvious behaviour changes, so do that until the
        transition is complete.
    - use-portable-format-macro.patch:
      + Fixes build failure on armhf
  * Refresh patches
  * Update dependency versions

 -- Charles <charles05@canonical.com>  Fri, 09 Jan 2026 10:30:37 +0000

nautilus (1:49.1-2ubuntu2) resolute; urgency=medium

  * d/p/u/nautilus-sendto.patch: Restore support for sending folders:
    nautilus-sendto can send folders to sandboxed mail clients since
    version 3.8.6-8ubuntu1 in resolute (LP #2072569).

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 13 Nov 2025 18:16:37 +0100

nautilus (1:49.1-2ubuntu1) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: libunity-dev
      + Add Recommends: xdg-desktop-portal-gnome:
        Required for "Set as Background" feature
      + Suggest instead of Recommend gnome-sushi
    - debian/changelog: set epoch number (which was added by error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
    - Add appstream-compulsory.patch:
      - Mark Nautilus as required for GNOME (affects the GNOME Software app)
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - nautilus-sendto.patch:
      + Restore nautilus-sendto integration for better Thunderbird integration
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - Integrate with xdg-terminal-exec (LP: 2119117)
      + Add files-view-Add-xdg-terminal-exec-action.patch:
        Conditionally replace "Open in Console" with "Open in terminal"
        that launches xdg-terminal-exec
      + debian/rules: Toggle the meson config to enable xdg-terminal-exec
      + debian/control: Replace the nautilus-extension-gnome-terminal package
  * d/control: Drop icu and tracker Build-Depends delta with Debian
  * d/p: Refresh Ubuntu patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 13 Nov 2025 12:49:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nautilus
 Section: gnome
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -19,18 +20,18 @@
                libgnome-autoar-0-dev (>= 0.4.4),
                libgnome-desktop-4-dev (>= 43~),
                libgstreamer-plugins-base1.0-dev,
-               libgtk-4-dev (>= 4.17.5),
+               libgtk-4-dev (>= 4.20.0),
                libgtk-4-doc,
                libicu-dev (>= 56),
                libpango1.0-dev (>= 1.42),
                libportal-gtk4-dev (>= 0.7),
                libselinux1-dev (>= 2.0) [linux-any],
-               libtinysparql-dev,
-               libtracker-sparql-3.0-dev (>= 3.2),
+               libtinysparql-dev (>= 3.8),
                libxml2-utils,
                localsearch <!nocheck>,
-               meson (>= 0.59.0),
+               meson (>= 0.60.0),
                shared-mime-info (>= 0.50),
+               libunity-dev (>= 5.0.0),
                tracker-test-utils (>= 3) <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>
@@ -54,7 +55,10 @@
          xdg-user-dirs-gtk,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-sushi, libgdk-pixbuf2.0-bin, librsvg2-common
+Recommends: libgdk-pixbuf2.0-bin,
+            librsvg2-common,
+            xdg-desktop-portal-gnome,
+Suggests: gnome-sushi,
 Breaks: eiciel (<< 0.9.13.1-1.1~),
         folder-color (<< 0.0.86-0ubuntu5~),
         nautilus-dropbox (<< 2019.02.14-1ubuntu2~),
@@ -68,7 +72,10 @@
         nautilus-image-converter (<< 0.3.1~git20110416-2.1~),
         nautilus-share (<< 0.7.3-2ubuntu7~),
         nautilus-wipe (<< 0.3.1-2.1~),
-        seahorse-nautilus (<< 3.11.92-4.1~)
+        seahorse-nautilus (<< 3.11.92-4.1~),
+        unity (<< 7.5.1+21.10.20210601.1-0ubuntu1),
+        nautilus-extension-gnome-terminal (<< 3.56.0-1ubuntu2),
+Replaces: nautilus-extension-gnome-terminal (<< 3.56.0-1ubuntu2),
 Description: file manager and graphical shell for GNOME
  Nautilus is the official file manager for the GNOME desktop. It allows
  one to browse directories, preview files and launch applications

## nautilus 50~beta

=== debian/changelog ===
nautilus (1:50~beta-0ubuntu1) resolute; urgency=medium

  * Ubuntu Delta:
    - debian/control:
      + Add Build-Depends: libunity-dev
      + Add Recommends: xdg-desktop-portal-gnome:
        Required for "Set as Background" feature
      + Suggest instead of Recommend gnome-sushi
      + Add missing Priority: optional field
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
      + Do not request PackageKit support, no longer does anything
    - debian/watch:
      + Track alpha releases
      + Upgrade to version 5
    - Add appstream-compulsory.patch:
      - Mark Nautilus as required for GNOME (affects the GNOME Software app)
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - nautilus-sendto.patch:
      + Restore nautilus-sendto integration for better Thunderbird integration
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - fallback-to-gexiv-0.14.2.patch:
      + 0.16.0 is not in Debian yet due to requiring a
        transition. Seems like reverting to 0.14.2 is pretty easy and
        causes no obvious behaviour changes, so do that until the
        transition is complete.
    - use-portable-format-macro.patch:
      + Dropped, included in latest upstream release.
    - test-Disable-file-operations-archive-test.patch:
      + Disable a test that is flakey on the Ubuntu CI.
  * Refresh patches
  * Update dependency versions
  * Fixes (LP: #2111560)

 -- Charles <charles05@canonical.com>  Tue, 03 Feb 2026 11:11:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: nautilus
 Section: gnome
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
@@ -7,16 +8,19 @@
                dh-sequence-gir,
                dh-sequence-gnome,
                appstream <!nocheck>,
+               blueprint-compiler (>= 0.19.0),
                desktop-file-utils,
                gi-docgen,
                gir1.2-gio-2.0-dev,
                gobject-introspection (>= 1.80),
-               libadwaita-1-dev (>= 1.6~beta),
+               libadwaita-1-dev (>= 1.8~alpha),
                libcloudproviders-dev (>= 0.3.1),
                libfontconfig-dev,
                libgexiv2-dev (>= 0.14.2),
                libglib2.0-dev (>= 2.84.0),
                libglib2.0-doc,
+               libglycin-2-dev (>= 2),
+               libglycin-gtk4-2-dev (>= 2),
                libgnome-autoar-0-dev (>= 0.4.4),
                libgnome-desktop-4-dev (>= 43~),
                libgstreamer-plugins-base1.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Ddocs=true \
-		-Dpackagekit=true \
+		-Dunity-launcher=true \
+		-Dxdg-terminal-exec=true \
 		$(ENABLE_TESTS) \
 		$(ENABLE_CLOUD) \
 		$(ENABLE_SELINUX)
@@ -41,6 +42,11 @@
 	touch $(CURDIR)/debian/.debhelper/generated/_source/home/.gtk-bookmarks
 	GTK_A11Y=none dbus-run-session -- xvfb-run --auto-servernum dh_auto_test
 
+override_dh_install:
+	dh_install
+	mkdir -p debian/nautilus/usr/share/apport/package-hooks
+	sed 's/DEB_HOST_MULTIARCH/$(DEB_HOST_MULTIARCH)/g' debian/source_nautilus.py.in > debian/nautilus/usr/share/apport/package-hooks/source_nautilus.py
+
 # Skip. We only use dh_gnome for dh_translations for Ubuntu
 override_dh_gnome:

## nautilus 50~rc

=== meson_options.txt ===
##############
# Extensions #
##############
option(
  'docs',
  type: 'boolean',
  value: false,
  description: 'Build documentation for extension library',
)
option(
  'extensions',
  type: 'boolean',
  value: true,
  description: 'Build stock extensions',
)
option(
  'introspection',
  type: 'boolean',
  value: true,
  description: 'Build GObject introspection data for extension library',
)
##################
# End extensions #
##################

############
# Features #
############
option(
  'packagekit',
  type: 'boolean',
  deprecated: true
)
option(
  'selinux',
  type: 'feature',
  value: 'enabled',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description: 'Enable SELinux context support in file properties dialog',
)
option(
  'cloudproviders',
  type: 'feature',
  value: 'enabled',
  deprecated: {'true': 'enabled', 'false': 'disabled'},
  description: 'Enable the cloudproviders support',
)
################
# End features #
################

###########
# Testing #
###########
option(
  'tests',
  type: 'combo',
  choices: [
    'none',
    'headless',
    'all'
  ],
  value: 'headless',
  description: 'Build selected tests',
)
###############
# End testing #
###############

option(
  'profile',
  type: 'string',
  value: '',
  description: 'Build with specified application ID',
)

=== debian/changelog ===
nautilus (1:50~rc-0ubuntu1) resolute; urgency=medium

  * Ubuntu Delta:
    - debian/control:
      + Add Build-Depends: libunity-dev
      + Add Recommends: xdg-desktop-portal-gnome:
        Required for "Set as Background" feature
      + Suggest instead of Recommend gnome-sushi
      + Add missing Priority: optional field
    - debian/changelog, debian/rules: set epoch number (which was added by
      error)
    - debian/source_nautilus.py:
      + Apport hook to list versions of files in /usr/lib/nautilus and
        reassign the crashes when they are not due to nautilus code directly
    - debian/rules:
      + Build Unity support
      + Do not request PackageKit support, no longer does anything
    - debian/watch:
      + Track alpha releases
      + Upgrade to version 5
    - Add appstream-compulsory.patch:
      - Mark Nautilus as required for GNOME (affects the GNOME Software app)
    - 04_suppress_umount_in_ltsp.patch:
      + Don't list unmount and eject actions on LTSP clients
    - nautilus-sendto.patch:
      + Restore nautilus-sendto integration for better Thunderbird integration
    - ubuntu_backspace_behaviour.patch:
      + restore backspace behaviour to go back
    - unity_launcher_support.patch:
      + unity launcher integration (list bookmarks in the context menu,
        display a bar on the icon during copies)
    - unity_icon_color.patch:
      + specify a background color for the unity launcher icon
    - fallback-to-gexiv-0.14.2.patch:
      + 0.16.0 is not in Debian yet due to requiring a
        transition. Seems like reverting to 0.14.2 is pretty easy and
        causes no obvious behaviour changes, so do that until the
        transition is complete.
    - use-portable-format-macro.patch:
      + Dropped, included in latest upstream release.
    - test-Disable-file-operations-archive-test.patch,
      test-Disable-portal-file-chooser-test.patch:
      + Disable flakey tests.
  * Refresh patches

 -- Charles <charles05@canonical.com>  Tue, 03 Mar 2026 08:58:12 +0000
